Subject: bug#9736: closed (Re: bug#9736: Configure error for emacs-24.0.90 with AIX 5.3)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 13 Oct 2011 02:20:03 +0000

Your bug report

#9736: Configure error for emacs-24.0.90 with AIX 5.3

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
9736: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=9736
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#9736: Configure error for emacs-24.0.90 with AIX 5.3
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Wed, 12 Oct 2011 22:18:40 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 24.0.91

Perry Smith wrote:

> That worked.

Thanks, installed.

> AIX has its tputs in libcurses. AIX also has a libtermcap that is
> suppose to be compatible but most systems don't install it and I would
> try avoid using it. You might consider moving curses in front of
> termcap.

For now, I left curses at the end of the list, since that is the most
conservative change.

Subject: Configure error for emacs-24.0.90 with AIX 5.3
From: Perry Smith <[email-masked]>
To: [email-masked]
Date: Wed, 12 Oct 2011 08:18:48 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

The command I used was (I'm doing an out of tree build)

../../src/emacs-24.0.90/configure --with-jpeg=no --with-png=no --with-gif=no --with-tiff=no

The last few lines printed are:

  ...
> checking for getpt... no
> checking for library containing tputs... no
> configure: error: I couldn't find termcap functions (tputs and friends).
> Maybe some development libraries/packages are missing?  Try installing
> libncurses-dev(el), libterminfo-dev(el) or similar.

The config.log file is attached:

I'm happy to help out anyway I can.

Thank you,
pedz